<script lang="ts" setup>
import LoadingDialog from '@/components/Dialog/LoadingDialog.vue'
import MessageDialog from '@/components/Dialog/MessageDialog.vue'
import MainHeader from '@/components/Header/MainHeader.vue'
import MainFooter from '@/components/Footer/MainFooter.vue'
import MainMenu from '@/components/Menu/MainMenu.vue'
import { useConsultStore } from '@/stores/consult'

const consultStore = useConsultStore()
</script>
<template>
  <MessageDialog></MessageDialog>
  <LoadingDialog></LoadingDialog>
  <v-app>
    <MainHeader></MainHeader>
    <MainMenu></MainMenu>

    <v-container
      ><v-row
        ><v-col cols="4"
          ><v-select
            variant="outlined"
            class=""
            v-model="consultStore.consult_type"
            :items="['สอบถามอาการเสีย']"
            label="ประเภทการขอคำปรึกษา"
            required
            :rules="[(v) => !!v || 'กรุณาเลือกประเภทการขอคำปรึกษา']"
          ></v-select></v-col></v-row
      ><v-textarea
        variant="outlined"
        v-model="consultStore.consult_question"
        label="คำถามที่ต้องการขอคำปรึกษา"
        :rules="[(v) => !!v || 'กรุณากรอกคำถาม']"
      ></v-textarea>
      <v-divider style="background-color: #8c122a"></v-divider>
      <v-card-actions class="justify-center mt-10"
        ><v-btn
          width="100px"
          variant="elevated"
          color="#8c122a  "
          style="color: aliceblue"
          @click="consultStore.openConsult()"
          >ส่ง</v-btn
        ></v-card-actions
      >
    </v-container>
  </v-app>
  <MainFooter></MainFooter>
</template>
<style scoped></style>
